net.sf.jasperreports.engine.fill

## Class CachingParagraph

- java.lang.Object
- - net.sf.jasperreports.engine.fill.CachingParagraph

- All Implemented Interfaces:
    JRParagraph, JRStyleContainer

      public class CachingParagraph
      extends java.lang.Object
      implements JRParagraph

  Version:
    $Id: CachingParagraph.java 6219 2013-06-04 15:13:39Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRParagraph

      `DEFAULT_FIRST_LINE_INDENT, DEFAULT_LEFT_INDENT, DEFAULT_LINE_SPACING_SIZE, DEFAULT_RIGHT_INDENT, DEFAULT_SPACING_AFTER, DEFAULT_SPACING_BEFORE, DEFAULT_TAB_STOP_WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachingParagraph(JRParagraph base)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTabStop(int index, TabStop tabStop)`
    `void` | `addTabStop(TabStop tabStop)`
    `JRParagraph` | `clone(JRParagraphContainer paragraphContainer)`
    `JRDefaultStyleProvider` | `getDefaultStyleProvider()`
    `java.lang.Integer` | `getFirstLineIndent()` Gets the text first line indent.
    `java.lang.Integer` | `getLeftIndent()` Gets the text left indent.
    `LineSpacingEnum` | `getLineSpacing()` Gets the text line spacing.
    `java.lang.Float` | `getLineSpacingSize()` Gets the text line spacing size to be used in combination with the line spacing type.
    `java.lang.Integer` | `getOwnFirstLineIndent()` Gets the text own first line indent.
    `java.lang.Integer` | `getOwnLeftIndent()` Gets the text own left indent.
    `LineSpacingEnum` | `getOwnLineSpacing()` Gets the text own line spacing.
    `java.lang.Float` | `getOwnLineSpacingSize()` Gets the text own line spacing size to be used in combination with the line spacing type.
    `java.lang.Integer` | `getOwnRightIndent()` Gets the text own right indent.
    `java.lang.Integer` | `getOwnSpacingAfter()` Gets the text own spacing after.
    `java.lang.Integer` | `getOwnSpacingBefore()` Gets the text own spacing before.
    `TabStop[]` | `getOwnTabStops()` Gets the custom tab stops.
    `java.lang.Integer` | `getOwnTabStopWidth()` Gets the text own tab stop width.
    `java.lang.Integer` | `getRightIndent()` Gets the text right indent.
    `java.lang.Integer` | `getSpacingAfter()` Gets the text spacing after.
    `java.lang.Integer` | `getSpacingBefore()` Gets the text spacing before.
    `JRStyle` | `getStyle()` Returns this object's style.
    `java.lang.String` | `getStyleNameReference()` Returns the name of an external style which is to be used by this object.
    `TabStop[]` | `getTabStops()` Gets the custom tab stops.
    `java.lang.Integer` | `getTabStopWidth()` Gets the text tab stop width.
    `void` | `removeTabStop(int index)`
    `void` | `removeTabStop(TabStop tabStop)`
    `void` | `setFirstLineIndent(java.lang.Integer firstLineIndent)` Sets the text own first line indent.
    `void` | `setLeftIndent(java.lang.Integer leftIndent)` Sets the text own left indent.
    `void` | `setLineSpacing(LineSpacingEnum lineSpacing)` Sets the text line spacing.
    `void` | `setLineSpacingSize(java.lang.Float lineSpacingSize)` Sets the text line spacing size to be used in combination with the line spacing type.
    `void` | `setRightIndent(java.lang.Integer rightIndent)` Sets the text own right indent.
    `void` | `setSpacingAfter(java.lang.Integer spacingAfter)` Sets the text own spacing after.
    `void` | `setSpacingBefore(java.lang.Integer spacingBefore)` Sets the text own spacing before.
    `void` | `setTabStopWidth(java.lang.Integer tabStopWidth)` Sets the text own tab stop width.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachingParagraph

          public CachingParagraph(JRParagraph base)

  - ### Method Detail

    - #### getDefaultStyleProvider

          public JRDefaultStyleProvider getDefaultStyleProvider()

      Specified by:
        `getDefaultStyleProvider` in interface `JRStyleContainer`

    - #### getStyle

          public JRStyle getStyle()

      Description copied from interface: `JRStyleContainer`
      Returns this object's style.
      Specified by:
        `getStyle` in interface `JRStyleContainer`
      Returns:
        this object's style

    - #### getStyleNameReference

          public java.lang.String getStyleNameReference()

      Description copied from interface: `JRStyleContainer`
      Returns the name of an external style which is to be used by this object.

      External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.
      Specified by:
        `getStyleNameReference` in interface `JRStyleContainer`
      Returns:
        the name of an external style

    - #### clone

          public JRParagraph clone(JRParagraphContainer paragraphContainer)

      Specified by:
        `clone` in interface `JRParagraph`

    - #### getLineSpacing

          public LineSpacingEnum getLineSpacing()

      Description copied from interface: `JRParagraph`
      Gets the text line spacing.
      Specified by:
        `getLineSpacing` in interface `JRParagraph`
      Returns:
        a value representing one of the line spacing constants in `LineSpacingEnum`

    - #### getOwnLineSpacing

          public LineSpacingEnum getOwnLineSpacing()

      Description copied from interface: `JRParagraph`
      Gets the text own line spacing.
      Specified by:
        `getOwnLineSpacing` in interface `JRParagraph`
      Returns:
        a value representing one of the line spacing constants in `LineSpacingEnum`

    - #### setLineSpacing

          public void setLineSpacing(LineSpacingEnum lineSpacing)

      Description copied from interface: `JRParagraph`
      Sets the text line spacing.
      Specified by:
        `setLineSpacing` in interface `JRParagraph`
      Parameters:
        `lineSpacing` - a value representing one of the line spacing constants in `LineSpacingEnum`

    - #### getLineSpacingSize

          public java.lang.Float getLineSpacingSize()

      Description copied from interface: `JRParagraph`
      Gets the text line spacing size to be used in combination with the line spacing type.
      Specified by:
        `getLineSpacingSize` in interface `JRParagraph`

    - #### getOwnLineSpacingSize

          public java.lang.Float getOwnLineSpacingSize()

      Description copied from interface: `JRParagraph`
      Gets the text own line spacing size to be used in combination with the line spacing type.
      Specified by:
        `getOwnLineSpacingSize` in interface `JRParagraph`

    - #### setLineSpacingSize

          public void setLineSpacingSize(java.lang.Float lineSpacingSize)

      Description copied from interface: `JRParagraph`
      Sets the text line spacing size to be used in combination with the line spacing type.
      Specified by:
        `setLineSpacingSize` in interface `JRParagraph`

    - #### getLeftIndent

          public java.lang.Integer getLeftIndent()

      Description copied from interface: `JRParagraph`
      Gets the text left indent.
      Specified by:
        `getLeftIndent` in interface `JRParagraph`

    - #### getOwnLeftIndent

          public java.lang.Integer getOwnLeftIndent()

      Description copied from interface: `JRParagraph`
      Gets the text own left indent.
      Specified by:
        `getOwnLeftIndent` in interface `JRParagraph`

    - #### setLeftIndent

          public void setLeftIndent(java.lang.Integer leftIndent)

      Description copied from interface: `JRParagraph`
      Sets the text own left indent.
      Specified by:
        `setLeftIndent` in interface `JRParagraph`

    - #### getFirstLineIndent

          public java.lang.Integer getFirstLineIndent()

      Description copied from interface: `JRParagraph`
      Gets the text first line indent.
      Specified by:
        `getFirstLineIndent` in interface `JRParagraph`

    - #### getOwnFirstLineIndent

          public java.lang.Integer getOwnFirstLineIndent()

      Description copied from interface: `JRParagraph`
      Gets the text own first line indent.
      Specified by:
        `getOwnFirstLineIndent` in interface `JRParagraph`

    - #### setFirstLineIndent

          public void setFirstLineIndent(java.lang.Integer firstLineIndent)

      Description copied from interface: `JRParagraph`
      Sets the text own first line indent.
      Specified by:
        `setFirstLineIndent` in interface `JRParagraph`

    - #### getRightIndent

          public java.lang.Integer getRightIndent()

      Description copied from interface: `JRParagraph`
      Gets the text right indent.
      Specified by:
        `getRightIndent` in interface `JRParagraph`

    - #### getOwnRightIndent

          public java.lang.Integer getOwnRightIndent()

      Description copied from interface: `JRParagraph`
      Gets the text own right indent.
      Specified by:
        `getOwnRightIndent` in interface `JRParagraph`

    - #### setRightIndent

          public void setRightIndent(java.lang.Integer rightIndent)

      Description copied from interface: `JRParagraph`
      Sets the text own right indent.
      Specified by:
        `setRightIndent` in interface `JRParagraph`

    - #### getSpacingBefore

          public java.lang.Integer getSpacingBefore()

      Description copied from interface: `JRParagraph`
      Gets the text spacing before.
      Specified by:
        `getSpacingBefore` in interface `JRParagraph`

    - #### getOwnSpacingBefore

          public java.lang.Integer getOwnSpacingBefore()

      Description copied from interface: `JRParagraph`
      Gets the text own spacing before.
      Specified by:
        `getOwnSpacingBefore` in interface `JRParagraph`

    - #### setSpacingBefore

          public void setSpacingBefore(java.lang.Integer spacingBefore)

      Description copied from interface: `JRParagraph`
      Sets the text own spacing before.
      Specified by:
        `setSpacingBefore` in interface `JRParagraph`

    - #### getSpacingAfter

          public java.lang.Integer getSpacingAfter()

      Description copied from interface: `JRParagraph`
      Gets the text spacing after.
      Specified by:
        `getSpacingAfter` in interface `JRParagraph`

    - #### getOwnSpacingAfter

          public java.lang.Integer getOwnSpacingAfter()

      Description copied from interface: `JRParagraph`
      Gets the text own spacing after.
      Specified by:
        `getOwnSpacingAfter` in interface `JRParagraph`

    - #### setSpacingAfter

          public void setSpacingAfter(java.lang.Integer spacingAfter)

      Description copied from interface: `JRParagraph`
      Sets the text own spacing after.
      Specified by:
        `setSpacingAfter` in interface `JRParagraph`

    - #### getTabStopWidth

          public java.lang.Integer getTabStopWidth()

      Description copied from interface: `JRParagraph`
      Gets the text tab stop width.
      Specified by:
        `getTabStopWidth` in interface `JRParagraph`

    - #### getOwnTabStopWidth

          public java.lang.Integer getOwnTabStopWidth()

      Description copied from interface: `JRParagraph`
      Gets the text own tab stop width.
      Specified by:
        `getOwnTabStopWidth` in interface `JRParagraph`

    - #### setTabStopWidth

          public void setTabStopWidth(java.lang.Integer tabStopWidth)

      Description copied from interface: `JRParagraph`
      Sets the text own tab stop width.
      Specified by:
        `setTabStopWidth` in interface `JRParagraph`

    - #### getTabStops

          public TabStop[] getTabStops()

      Description copied from interface: `JRParagraph`
      Gets the custom tab stops.
      Specified by:
        `getTabStops` in interface `JRParagraph`

    - #### getOwnTabStops

          public TabStop[] getOwnTabStops()

      Description copied from interface: `JRParagraph`
      Gets the custom tab stops.
      Specified by:
        `getOwnTabStops` in interface `JRParagraph`

    - #### addTabStop

          public void addTabStop(TabStop tabStop)

      Specified by:
        `addTabStop` in interface `JRParagraph`

    - #### addTabStop

          public void addTabStop(int index,
                        TabStop tabStop)

      Specified by:
        `addTabStop` in interface `JRParagraph`

    - #### removeTabStop

          public void removeTabStop(int index)

      Specified by:
        `removeTabStop` in interface `JRParagraph`

    - #### removeTabStop

          public void removeTabStop(TabStop tabStop)

      Specified by:
        `removeTabStop` in interface `JRParagraph`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com